Package com.arms.api.product_service.pdserviceversion.service

## Class PdServiceVersionImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.product_service.pdserviceversion.service.PdServiceVersionImpl

- All Implemented Interfaces:
    `PdServiceVersion`, `TreeService`

      @Service("pdServiceVersion")
      public class PdServiceVersionImpl
      extends TreeServiceImpl
      implements PdServiceVersion

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PdServiceVersionImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<PdServiceVersionVO>` | `findAllByPdServiceId​(java.lang.Long pdServiceId)` |
    `java.util.List<PdServiceVersionEntity>` | `getVersionListByCids​(java.util.List<java.lang.Long> cids)` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `versionPeriod​(java.util.List<java.lang.Long> c_ids)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### PdServiceVersionImpl

          public PdServiceVersionImpl()

  - ### Method Detail

    - #### findAllByPdServiceId

          public java.util.List<PdServiceVersionVO> findAllByPdServiceId​(java.lang.Long pdServiceId)
                                                                  throws java.lang.Exception

      Specified by:
        `findAllByPdServiceId` in interface `PdServiceVersion`
      Throws:
        `java.lang.Exception`

    - #### getVersionListByCids

          public java.util.List<PdServiceVersionEntity> getVersionListByCids​(java.util.List<java.lang.Long> cids)
                                                                      throws java.lang.Exception

      Specified by:
        `getVersionListByCids` in interface `PdServiceVersion`
      Throws:
        `java.lang.Exception`

    - #### versionPeriod

          public java.util.Map<java.lang.String,​java.lang.String> versionPeriod​(java.util.List<java.lang.Long> c_ids)
                                                                               throws java.lang.Exception

      Specified by:
        `versionPeriod` in interface `PdServiceVersion`
      Throws:
        `java.lang.Exception`